Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(51)

Issue 2039833004: Site Settings Desktop: Implement media picker for camera/mic categories. (Closed)

Created:
2 years, 7 months ago by Finnur
Modified:
2 years, 7 months ago
Reviewers:
michaelpg
CC:
arv+watch_chromium.org, chromium-reviews, dbeam+watch-settings_chromium.org, michaelpg+watch-md-settings_chromium.org, michaelpg+watch-md-ui_chromium.org, stevenjb+watch-md-settings_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Site Settings Desktop: Implement media picker for camera/mic categories. BUG=614277, 543635 CQ_INCLUDE_TRYBOTS=tryserver.chromium.linux:closure_compilation Committed: https://crrev.com/c9776098ecbf3efab15ef1f84867aa008af2af9d Cr-Commit-Position: refs/heads/master@{#398708}

Patch Set 1 : #

Total comments: 24

Patch Set 2 : Address feedback #

Total comments: 4

Patch Set 3 : Update to head #

Patch Set 4 : Missing two files #

Patch Set 5 : Address feedback #

Total comments: 6

Patch Set 6 : Address feedback #

Messages

Total messages: 17 (6 generated)
Finnur
If this looks OK, then I'll convert the 3rd party cookie checkbox in a similar ...
2 years, 7 months ago (2016-06-07 14:38:00 UTC) #4
michaelpg
Yes, looks good overall! Some minor things here and there. https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js#newcode101 ...
2 years, 7 months ago (2016-06-07 16:03:30 UTC) #5
Finnur
https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js#newcode101 chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js:101: * @param {string} type The type to look up. ...
2 years, 7 months ago (2016-06-07 16:48:24 UTC) #6
michaelpg
https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js#newcode101 chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js:101: * @param {string} type The type to look up. ...
2 years, 7 months ago (2016-06-07 17:00:55 UTC) #7
michaelpg
https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js#newcode101 chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js:101: * @param {string} type The type to look up. ...
2 years, 7 months ago (2016-06-07 17:00:55 UTC) #8
Finnur
https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): https://codereview.chromium.org/2039833004/diff/20001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js#newcode101 chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js:101: * @param {string} type The type to look up. ...
2 years, 7 months ago (2016-06-08 12:40:41 UTC) #9
michaelpg
lgtm https://codereview.chromium.org/2039833004/diff/100001/chrome/browser/resources/settings/site_settings/media_picker.js File chrome/browser/resources/settings/site_settings/media_picker.js (right): https://codereview.chromium.org/2039833004/diff/100001/chrome/browser/resources/settings/site_settings/media_picker.js#newcode57 chrome/browser/resources/settings/site_settings/media_picker.js:57: nit: remove empty line https://codereview.chromium.org/2039833004/diff/100001/chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js File chrome/browser/resources/settings/site_settings/site_settings_prefs_browser_proxy.js (right): ...
2 years, 7 months ago (2016-06-08 16:02:32 UTC) #10
Finnur
https://codereview.chromium.org/2039833004/diff/100001/chrome/browser/resources/settings/site_settings/media_picker.js File chrome/browser/resources/settings/site_settings/media_picker.js (right): https://codereview.chromium.org/2039833004/diff/100001/chrome/browser/resources/settings/site_settings/media_picker.js#newcode57 chrome/browser/resources/settings/site_settings/media_picker.js:57: On 2016/06/08 16:02:32, michaelpg wrote: > nit: remove empty ...
2 years, 7 months ago (2016-06-08 21:15:45 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2039833004/120001
2 years, 7 months ago (2016-06-08 21:17:28 UTC) #14
commit-bot: I haz the power
Committed patchset #6 (id:120001)
2 years, 7 months ago (2016-06-08 22:35:55 UTC) #15
commit-bot: I haz the power
2 years, 7 months ago (2016-06-08 22:38:09 UTC) #17
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/c9776098ecbf3efab15ef1f84867aa008af2af9d
Cr-Commit-Position: refs/heads/master@{#398708}

Powered by Google App Engine
This is Rietveld 408576698